org.multiverse.commitbarriers

## Class CommitBarrierOpenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.multiverse.commitbarriers.CommitBarrierOpenException

All Implemented Interfaces:
  java.io.Serializable

    public class CommitBarrierOpenException
    extends java.lang.IllegalStateException

An IllegalStateException that indicates that an operation was executed on the CommitBarrier while it already is opened.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommitBarrierOpenException(java.lang.String message)` Creates a new CommitBarrierOpenException with the provided message.
`CommitBarrierOpenException(java.lang.String message, java.lang.Throwable cause)` Creates a new CommitBarrierOpenException with the provided message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommitBarrierOpenException

    public CommitBarrierOpenException(java.lang.String message)

Creates a new CommitBarrierOpenException with the provided message.

Parameters:
  `message` - the message

#### CommitBarrierOpenException

    public CommitBarrierOpenException(java.lang.String message,
                              java.lang.Throwable cause)

Creates a new CommitBarrierOpenException with the provided message and cause.

Parameters:
  `message` - the message
  `cause` - the cause